- name: Creat Disk Snapshot operations
  hosts: old_servers
  gather_facts: false

  tasks:
    - name: Create boot disk snapshot
      command: 'gcloud compute snapshots create {{ inventory_hostname | split(".") | first }}-{{ issue_id }} --source-disk {{ inventory_hostname | split(".") | first }} --source-disk-zone {{ hostvars[inventory_hostname].zone }} --project={{ project }}'
      register: create_boot_disk_snapshot_results
      changed_when: false
      delegate_to: 127.0.0.1
    - debug: var=create_boot_disk_snapshot_results
      delegate_to: 127.0.0.1

    - name: Create log disk snapshot
      command: 'gcloud compute snapshots create {{ inventory_hostname | split(".") | first }}-log-{{ issue_id }} --source-disk {{ inventory_hostname | split(".") | first }}-log --source-disk-zone {{ hostvars[inventory_hostname].zone }} --project={{ project }}'
      register: create_log_disk_snapshot_results
      changed_when: false
      delegate_to: 127.0.0.1
    - debug: var=create_log_disk_snapshot_results
      delegate_to: 127.0.0.1

- import_playbook: list-disk-snapshots.yaml
